/*******************************************************************************
 * OnlineTitleFileInterface generated by Eliot.UELib using UE Explorer.
 * Eliot.UELib ? 2009-2015 Eliot van Uytfanghe. All rights reserved.
 * http://eliotvu.com
 *
 * All rights belong to their respective owners.
 *******************************************************************************/
interface OnlineTitleFileInterface extends Interface
    abstract;

delegate OnReadTitleFileComplete(bool bWasSuccessful, string FileName)
{
    //return;    
}

function bool ReadTitleFile(string FileToRead, optional OnlineSubsystem.EOnlineFileType FileType)
{
    FileType = 1;
    //return ReturnValue;    
}

function AddReadTitleFileCompleteDelegate(delegate<OnReadTitleFileComplete> ReadTitleFileCompleteDelegate)
{
    //return;    
}

function ClearReadTitleFileCompleteDelegate(delegate<OnReadTitleFileComplete> ReadTitleFileCompleteDelegate)
{
    //return;    
}

function bool GetTitleFileContents(string FileName, out array<byte> FileContents)
{
    //return ReturnValue;    
}

function OnlineSubsystem.EOnlineEnumerationReadState GetTitleFileState(string FileName)
{
    //return ReturnValue;    
}

function bool ClearDownloadedFiles()
{
    //return ReturnValue;    
}

function bool ClearDownloadedFile(string FileName)
{
    //return ReturnValue;    
}

function bool RequestTitleFileList()
{
    //return ReturnValue;    
}

delegate OnRequestTitleFileListComplete(bool bWasSuccessful, string ResultStr)
{
    //return;    
}

function AddRequestTitleFileListCompleteDelegate(delegate<OnRequestTitleFileListComplete> RequestTitleFileListDelegate)
{
    //return;    
}

function ClearRequestTitleFileListCompleteDelegate(delegate<OnRequestTitleFileListComplete> RequestTitleFileListDelegate)
{
    //return;    
}
